com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonValueFormatVisitor

All Known Subinterfaces:
  JsonBooleanFormatVisitor, JsonIntegerFormatVisitor, JsonNumberFormatVisitor, JsonStringFormatVisitor

All Known Implementing Classes:
  JsonBooleanFormatVisitor.Base, JsonIntegerFormatVisitor.Base, JsonNumberFormatVisitor.Base, JsonStringFormatVisitor.Base, JsonValueFormatVisitor.Base

    public interface JsonValueFormatVisitor

### Nested Class Summary

Nested Classes
`static class` `JsonValueFormatVisitor.Base` Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `enumTypes(Set<String> enums)` Method called to indicate enumerated (String) values type being visited can take as values.
`void` `format(JsonValueFormat format)` Method called to indicate configured format for value type being visited.

### Method Detail

#### format

    void format(JsonValueFormat format)

Method called to indicate configured format for value type being visited.

#### enumTypes

    void enumTypes(Set<String> enums)

Method called to indicate enumerated (String) values type being visited can take as values.